﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

[ExecuteInEditMode]
[RequireComponent(typeof(Camera))]
public class Quantization : PostEffectsBase
{
    [Range(1, 20)]
    public int levels = 5;
    [Range(0, 1)]
    public float transitionSharpness = 0.8f;
    void Start()
    {
        shader = Shader.Find("NPR/Quantization");
        CreateMaterial();
    }
    void OnRenderImage(RenderTexture source, RenderTexture destination)
    {
        if (CreateMaterial())
        {
            material.SetInt("levels", levels);
            material.SetFloat("transitionSharpness", transitionSharpness);
            Graphics.Blit(source, destination, material);
        }
        else
        {
            Graphics.Blit(source, destination);
        }
    }
}
